Child pages
  • Java 9 - Jigsaw

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Java 9 and Jigsaw, its module project, introduce changes that cause some plugin warnings(warning) or even failures(error), or require upgrades to benefit from new features(plus):

 

groupId

artifactId

affected goal

Plugin Name

Minimum Compatible Version

Related Issues

org.apache.maven.pluginsmaven-compiler-plugincompile(plus), testCompile(plus)Maven Compiler Plugin3.6.1required to compile module-info files
requires plexus-compiler 2.8.1
org.apache.maven.pluginsmaven-javadoc-pluginjar(error), javadoc(warning), aggregate(error)Maven Javadoc Plugin2.10.4MJAVADOC-441(error)MJAVADOC-442(warning), MJAVADOC-449(error)
org.apache.maven.pluginsmaven-plugin-plugindescriptorMaven Plugin Plugin3.5MPLUGIN-300MPLUGIN-304
org.apache.maven,pluginsmaven-war-pluginwar(error)Maven War Plugin3.0.0-SNAPSHOT (not yet released)MWAR-405(error)
org.apache.maven.pluginsmaven-ejb-pluginejb(error)Maven EJB Plugin3.0.0-SNAPSHOT (not yet released)? Need to be created
org.apache.maven.pluginsmaven-ear-pluginear(error)Maven EAR Plugin3.0.0-SNAPSHOT (not yet released) 

org.codehaus.plexus

plexus-component-metadata

generate-metadata(tick)

Plexus :: Component Metadata

1.7

#1(tick)

org.apache.maven.pluginsmaven-surefire-plugintestMaven Surefire Plugin SUREFIRE-1265
org.apache.maven.pluginsmaven-failsafe-pluginintegration-testMaven Failsafe Plugin SUREFIRE-1265

...